> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/1-7-3/documentation/services/structure-of-commissioning-files/definitions.md).

# definitions

*Definitions* are similar to parameters in that you can refer to them from within the commissioning file. They are different to parameters as they are intended for solely internal use, i.e. they can’t be re-configured at any time.

Values of definitions can be of any type - including object types - and be referred to by the `!ref` or `!merge` function, similar to [parameters](/1-7-3/documentation/services/structure-of-commissioning-files/parameters.md).

## Example

{% code lineNumbers="true" %}

```yaml
modbusEndpointDefaults:
    connectionId: !ref modbusConnection
    operation: subscribe
    interval: 1000
    address:
        fc: 3
        length: 2
```

{% endcode %}

In the above example using `!ref modbusEndpointDefaults` would result in a the value:

{% code lineNumbers="true" %}

```yaml
connectionId: !ref modbusConnection
  operation: subscribe
  interval: 1000
  address:
    fc: 3
    length: 2
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/1-7-3/documentation/services/structure-of-commissioning-files/definitions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
